import { IFormProps as ICoreFormProps, IOnSubmitForm as ICoreOnSubmitForm } from '@reactionable/core/lib/form/Form';
import React, { PropsWithChildren } from 'react';
export declare type IFormProps<Values, Data> = ICoreFormProps<Values, Data>;
export declare type IOnSubmitForm<Values, Data> = ICoreOnSubmitForm<Values, Data>;
export declare function Form<Values, Data>(props: PropsWithChildren<IFormProps<Values, Data>>): JSX.Element;
export declare type IUseFormProps<Values = any, Data = any> = PropsWithChildren<IFormProps<Values, Data>>;
export declare function useForm<Values, Data>(props: IUseFormProps<Values, Data>): React.ReactNode;
