import { IRenderSubmitButtonProps as ICoreRenderSubmitButtonProps, ISubmitButtonProps as ICoreSubmitButtonProps } from '@reactionable/core/lib/form/SubmitButton';
import { ReactNode } from 'react';
import { ButtonProps } from 'react-bootstrap/Button';
export declare type ISubmitButtonProps = ICoreSubmitButtonProps<ButtonProps>;
export declare function SubmitButton(props: ISubmitButtonProps): JSX.Element;
export declare type IRenderSubmitButtonProps = Omit<ICoreRenderSubmitButtonProps<ISubmitButtonProps>, 'Component'>;
export declare function renderSubmitButton(props: IRenderSubmitButtonProps): ReactNode | undefined;
