/// <reference types="react" />
import { ILayoutProps as ICoreLayoutProps, IUseLayoutProps as ICoreUseLayoutProps } from '@reactionable/core/lib/ui/layout/Layout';
import { IBodyProps } from './body/Body';
import { IFooterProps } from './footer/Footer';
import { IHeaderProps } from './header/Header';
export declare type ILayoutProps = ICoreLayoutProps<IHeaderProps, IBodyProps, IFooterProps>;
export declare type IUseLayoutProps = ICoreUseLayoutProps<IHeaderProps, IBodyProps, IFooterProps> & {};
export declare function useLayout(props: IUseLayoutProps): import("react").ReactNode;
