import { ILoaderProps as ICoreLoaderProps } from '@reactionable/core/lib/ui/loader/Loader';
import { IUseLoaderProps as ICoreUseLoaderProps, IUseLoader } from '@reactionable/core/lib/ui/loader/useLoader';
import { ComponentType } from 'react';
export declare type ILoaderProps = ICoreLoaderProps & {
    overlay?: boolean;
};
export declare const Loader: ComponentType<ILoaderProps>;
export declare type IUseLoaderProps = ICoreUseLoaderProps & ILoaderProps;
export declare const useLoader: IUseLoader<IUseLoaderProps>;
