"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalForm = void 0;
var tslib_1 = require("tslib");
var Form_1 = require("@reactionable/core/lib/form/Form");
var react_1 = tslib_1.__importDefault(require("react"));
var Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
var Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
var react_i18next_1 = require("react-i18next");
var Form_2 = require("../form/Form");
var SubmitButton_1 = require("../form/SubmitButton");
function ModalFormChildren(_a) {
    var submitButton = _a.submitButton, cancelButton = _a.cancelButton, closeModal = _a.closeModal, children = _a.children, formikProps = _a.formikProps;
    var t = react_i18next_1.useTranslation().t;
    var submit = SubmitButton_1.renderSubmitButton({
        submitButton: submitButton,
        disabled: formikProps.isSubmitting,
    });
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(Modal_1.default.Body, null,
            react_1.default.createElement(Form_1.FormFieldsChildren, { children: children, formikProps: formikProps })),
        react_1.default.createElement(Modal_1.default.Footer, null,
            react_1.default.createElement(Button_1.default, { disabled: formikProps.isSubmitting, onClick: closeModal, variant: "secondary" }, cancelButton ? cancelButton : t('Cancel')),
            submit)));
}
function ModalForm(_a) {
    var submitButton = _a.submitButton, cancelButton = _a.cancelButton, closeModal = _a.closeModal, children = _a.children, formProps = tslib_1.__rest(_a, ["submitButton", "cancelButton", "closeModal", "children"]);
    return (react_1.default.createElement(Form_2.Form, tslib_1.__assign({}, formProps, { children: function (formikProps) { return (react_1.default.createElement(ModalFormChildren, { submitButton: submitButton, cancelButton: cancelButton, closeModal: closeModal, children: children, formikProps: formikProps })); } })));
}
exports.ModalForm = ModalForm;
//# sourceMappingURL=ModalForm.js.map