import { IUseModalResult } from '@reactionable/core/lib/ui/modal/Modal';
import { IUseModalFormProps as ICoreUseModalFormProps } from '@reactionable/core/lib/ui/modal/useModalForm';
import { IModalFormProps } from './ModalForm';
export declare type IUseModalFormProps<MFP extends IModalFormProps = IModalFormProps> = ICoreUseModalFormProps<MFP>;
export declare type IUseModalForm<P extends IUseModalFormProps> = (props: P) => IUseModalResult;
export declare function useModalForm<P extends IUseModalFormProps = IUseModalFormProps>(props: P): IUseModalResult;
