import { INavItemProps as ICoreNavItemProps } from '@reactionable/core/lib/nav/NavItem';
import { ILinkProps } from '@reactionable/core/lib/router/Link';
import { ReactNode } from 'react';
import { NavLinkProps } from 'react-bootstrap/NavLink';
import { IIconProps } from '../icon/icon';
export declare type INavItemProps = ICoreNavItemProps<ILinkProps & Omit<NavLinkProps, 'onSelect'> & {
    icon?: IIconProps;
}>;
export declare function navItemToComponent(props: INavItemProps): ReactNode;
