"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.navItemToComponent = void 0;
var tslib_1 = require("tslib");
var Link_1 = require("@reactionable/core/lib/router/Link");
var react_1 = tslib_1.__importDefault(require("react"));
var NavLink_1 = tslib_1.__importDefault(require("react-bootstrap/NavLink"));
var icon_1 = require("../icon/icon");
function navItemToComponent(props) {
    var icon = props.icon, linkProps = tslib_1.__rest(props, ["icon"]);
    var key = "" + linkProps.href;
    if (icon) {
        linkProps.children = (react_1.default.createElement(react_1.default.Fragment, null,
            react_1.default.createElement(icon_1.Icon, tslib_1.__assign({}, icon)),
            " ",
            linkProps.children));
    }
    return react_1.default.createElement(NavLink_1.default, tslib_1.__assign({ as: Link_1.Link, key: key }, linkProps));
}
exports.navItemToComponent = navItemToComponent;
//# sourceMappingURL=NavItem.js.map