import { INotificationProps as ICoreNotificationProps, IUseNotificationProps as ICoreUseNotificationProps } from '@reactionable/core/lib/ui/notification/Notification';
import { PropsWithChildren } from 'react';
import { ToastProps } from 'react-bootstrap/Toast';
export declare type INotificationProps = ICoreNotificationProps & ToastProps & {
    variant?: string;
};
export declare const Notification: ({ onClose, variant, title, children, ...props }: PropsWithChildren<INotificationProps>) => JSX.Element;
export declare type IUseNotificationProps = ICoreUseNotificationProps<INotificationProps>;
export declare const useNotification: (props: IUseNotificationProps) => import("@reactionable/core/lib/ui/notification/Notification").IUseNotificationResult;
