/// <reference types="react" />
import { IPaginationProps as ICorePaginationProps, IPaginatorProps as ICorePaginatorProps } from '@reactionable/core/lib/ui/paginator/Paginator';
export declare type IPaginationProps = Omit<ICorePaginationProps, 'PaginationLinkComponent' | 'PaginationEllipsisComponent' | 'PaginationLinkFirstComponent' | 'PaginationLinkPrevComponent' | 'PaginationLinkNextComponent' | 'PaginationLinkLastComponent'>;
export declare function Pagination(props: IPaginationProps): JSX.Element;
export declare type IPaginatorProps = Omit<ICorePaginatorProps, 'PaginationComponent'>;
export declare function Paginator(props: IPaginatorProps): JSX.Element;
