import { IFooterProps as ICoreFooterProps } from '@reactionable/core/lib/ui/layout/footer/Footer';
import { ComponentType, DetailedHTMLProps, HTMLAttributes } from 'react';
import { PropsWithChildren } from 'react';
export declare type IFooterProps = ICoreFooterProps & Omit<DetailedHTMLProps<HTMLAttributes<HTMLElement>, HTMLElement>, 'onSelect'>;
export declare type FooterComponent = ComponentType<IFooterProps>;
export declare function Footer({ brand, sponsor, ...footerProps }: PropsWithChildren<IFooterProps>): JSX.Element;
