import { ISuccessNotificationProps as ICoreSuccessNotificationProps, IUseSuccessNotificationProps as ICoreUseSuccessNotificationProps } from '@reactionable/core/lib/ui/notification/SuccessNotification';
import React, { PropsWithChildren } from 'react';
export declare type ISuccessNotificationProps = ICoreSuccessNotificationProps;
export declare const SuccessNotification: ({ children, ...props }: PropsWithChildren<ISuccessNotificationProps>) => JSX.Element;
export declare type IUseSuccessNotificationProps = ICoreUseSuccessNotificationProps & ISuccessNotificationProps;
export declare const useSuccessNotification: (props: IUseSuccessNotificationProps) => {
    successNotification: React.ReactNode;
    setSuccessNotification: (message?: string | undefined) => void;
};
